> ## Documentation Index
> Fetch the complete documentation index at: https://docs.legnext.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Reroll

> Re-execute tasks with same parameters

## Headers

| Header      | Type   | Required | Description  |
| ----------- | ------ | -------- | ------------ |
| `x-api-key` | string | Yes      | Your API key |

## Request Body

| Parameter  | Type   | Required | Description                                    |
| ---------- | ------ | -------- | ---------------------------------------------- |
| `jobId`    | string | Yes      | ID of the original task to reroll              |
| `callback` | string | No       | Callback URL for task completion notifications |

## Example Request

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST "https://api.legnext.ai/api/v1/reroll" \
    -H "x-api-key: YOUR_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "jobId": "5dd94ec3-7282-4f04-9445-59e850ef1822",
      "callback": "https://webhook.site/c98cb890-fb92-439f-8d60-42c8a51eb52d"
    }'
  ```

  ```python Python theme={null}
  import requests

  url = "https://api.legnext.ai/api/v1/reroll"
  headers = {
      "x-api-key": "YOUR_API_KEY",
      "Content-Type": "application/json"
  }
  data = {
      "jobId": "5dd94ec3-7282-4f04-9445-59e850ef1822",
      "callback": "https://webhook.site/c98cb890-fb92-439f-8d60-42c8a51eb52d"
  }

  response = requests.post(url, headers=headers, json=data)
  result = response.json()
  print(result)
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://api.legnext.ai/api/v1/reroll', {
    method: 'POST',
    headers: {
      'x-api-key': 'YOUR_API_KEY',
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({
      jobId: '5dd94ec3-7282-4f04-9445-59e850ef1822',
      callback: 'https://webhook.site/c98cb890-fb92-439f-8d60-42c8a51eb52d'
    })
  });

  const result = await response.json();
  console.log(result);
  ```
</CodeGroup>

## Response

Returns a task object containing the task information.

```json theme={null}
{
    "job_id": "b54ab480-be6e-470e-8eab-5af763a4f6e0",
    "model": "midjourney",
    "task_type": "reroll",
    "status": "pending",
    "config": {
        "service_mode": "public",
        "webhook_config": {
            "endpoint": "https://webhook.site/xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "secret": ""
        }
    },
    "input": null,
    "output": {
        "image_url": "",
        "image_urls": null,
        "seed": ""
    },
    "meta": {
        "created_at": "",
        "started_at": "",
        "ended_at": "",
        "usage": {
            "type": "point",
            "frozen": 80,
            "consume": 0
        }
    },
    "detail": null,
    "logs": [],
    "error": {
        "code": 0,
        "raw_message": "",
        "message": "",
        "detail": null
    }
}
```

<Note>
  This is the initial success response. Use the `job_id` to check the task status via the [Get Task](/api-reference/task-management/get-task) endpoint to retrieve the completed result with image URLs.
</Note>


## OpenAPI

````yaml POST /v1/reroll
openapi: 3.0.3
info:
  title: Legnext AI API
  description: >
    Comprehensive API for professional image and video generation and
    manipulation using Midjourney AI models.


    ## Authentication

    All API requests require an API key passed in the `x-api-key` header.


    ## Base URL

    `https://api.legnext.ai/api`


    ## Rate Limiting

    API requests are rate limited based on your subscription plan.


    ## Webhook Support

    Most endpoints support optional callbacks. When a callback URL is provided,
    the API will POST the completed job result to that URL.
  version: 1.0.0
  contact:
    name: Legnext Support
    email: support@legnext.ai
    url: https://legnext.ai
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.legnext.ai/api
    description: Production server
security:
  - ApiKeyAuth: []
tags:
  - name: Image Generation
    description: Text to image, image editing, and manipulation endpoints
  - name: Video Generation
    description: Video creation and enhancement endpoints
  - name: Image Enhancement
    description: AI-powered image upscaling and enhancement using Topaz Labs
  - name: Task Management
    description: Job status tracking and retrieval
  - name: Account
    description: Account information and active tasks management
paths:
  /v1/reroll:
    post:
      tags:
        - Image Generation
      summary: Reroll Task
      description: Re-execute a task to generate new variations with the same parameters
      operationId: rerollTask
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RerollRequest'
      responses:
        '200':
          description: Reroll task created successfully
          content:
            application/json:
              schema:
                $ref: 6d781e11-1d35-4b14-b58a-515c92e0dd0e
        '400':
          description: Bad Request - Invalid request parameters or malformed request body
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: 400
                message: Invalid request parameters
                raw_message: Invalid request parameters
                detail: null
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: 401
                message: Failed to verify api key
                raw_message: ''
                detail: null
        '402':
          description: >-
            Payment Required - Insufficient credits in user account or provider
            account issue
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: 402
                message: insufficient quota
                raw_message: insufficient quota
                detail: null
        '403':
          description: Forbidden - Sensitive content detected or permission denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: 403
                message: Forbidden - Sensitive content detected
                raw_message: Forbidden - Sensitive content detected
                detail: null
        '413':
          description: Payload Too Large - File size exceeds maximum limit
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: 413
                message: File size exceeds maximum limit
                raw_message: file too large
                detail: null
        '422':
          description: Unprocessable Entity - Invalid parameter values or validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: 422
                message: Invalid parameter values
                raw_message: Invalid parameter values
                detail: null
        '429':
          description: Too Many Requests - Rate limit exceeded (automatically retried)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: 429
                message: rate limit exceeded, please retry later
                raw_message: rate limit exceeded, please retry later
                detail: null
        '500':
          description: Internal Server Error - Server-side error (automatically retried)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: 500
                message: Internal server error
                raw_message: Internal server error
                detail: null
      security:
        - ApiKeyAuth: []
components:
  schemas:
    RerollRequest:
      type: object
      required:
        - jobId
      properties:
        jobId:
          type: string
          format: uuid
          description: ID of the task to reroll
        callback:
          type: string
          format: uri
          description: Callback URL for task completion notifications
    Error:
      type: object
      properties:
        code:
          type: integer
          description: Error code
          example: 400
        message:
          type: string
          description: Human-readable error message
          example: Invalid request parameters
        raw_message:
          type: string
          description: Raw error message from service
          example: image_url must start with http:// or https://
        detail:
          type: object
          nullable: true
          description: Additional error details
          example: null
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication

````